## com.bbn.openmap.graphicLoader
Interface GraphicLoader

All Known Implementing Classes:
  AbstractGraphicLoader

public interface GraphicLoader

The interface that describes an object that supplies updates to OMGraphics presented by the GraphicLoaderPlugIn.

Method Summary
`java.awt.Component` `getGUI()` The method that calls the GUI that controls the GraphicLoader.
`java.lang.String` `getName()` Get a pretty name for GUI representation that lets folks know what the GraphicLoader does.
`OMGraphicHandler` `getReceiver()` Get the OMGraphicHandler that will receive OMGraphic updates from the GraphicLoader.
`void` `setProjection(Projection p)` Let the GraphicLoader know what the projection is.
`void` `setReceiver(OMGraphicHandler r)` Set the OMGraphicHandler that will receive OMGraphic updates from the GraphicLoader.

Method Detail

### getGUI

    public java.awt.Component getGUI()

  The method that calls the GUI that controls the GraphicLoader.

### setProjection

    public void setProjection(Projection p)

  Let the GraphicLoader know what the projection is.

### setReceiver

    public void setReceiver(OMGraphicHandler r)

  Set the OMGraphicHandler that will receive OMGraphic updates from the GraphicLoader.

### getReceiver

    public OMGraphicHandler getReceiver()

  Get the OMGraphicHandler that will receive OMGraphic updates from the GraphicLoader.

### getName

    public java.lang.String getName()

  Get a pretty name for GUI representation that lets folks know what the GraphicLoader does.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details